Description: Don't try to use netcf-transaction.  It doesn't support the
 /etc/network/interfaces file.  (It could be made to, but for now punt on
 it)
Author: Serge Hallyn <serge.hallyn@canonical.com>
Forwarded: yes

Index: netcf-0.1.9/configure.ac
===================================================================
--- netcf-0.1.9.orig/configure.ac	2011-10-27 21:29:01.552561748 -0500
+++ netcf-0.1.9/configure.ac	2011-10-27 21:29:13.196562202 -0500
@@ -99,7 +99,7 @@
 fi
 if test "x$with_driver" = "xdebian"; then
     AC_DEFINE_UNQUOTED([NETCF_TRANSACTION],
-                       ["$sysconfdir/init.d/netcf-transaction"],
+                       ["/bin/false"],
                        [Location of the netcf-transaction shell script])
 fi
 AM_CONDITIONAL([NETCF_INIT_SCRIPT_RED_HAT],
Index: netcf-0.1.9/src/drv_debian.c
===================================================================
--- netcf-0.1.9.orig/src/drv_debian.c	2011-10-27 21:29:19.372562438 -0500
+++ netcf-0.1.9/src/drv_debian.c	2011-10-27 21:29:25.656562683 -0500
@@ -48,7 +48,7 @@
 
 #include <libexslt/exslt.h>
 
-#define NETCF_TRANSACTION "/etc/init.d/netcf-transaction"
+#define NETCF_TRANSACTION "/bin/false"
 
 static const char *const network_interfaces_path =
     "/files/etc/network/interfaces";
